import { $currentPage } from "@/scripts/currentPage"
import type { ParentComponent } from "solid-js";
import { splitProps } from "solid-js";

interface Props {
  href: string,
  class?: string,
}

const PageLink: ParentComponent<Props> = (props) => {
  const [local, others] = splitProps(props, ["children"]);
  return (
    <a {...others} onClick={() => $currentPage.set(others.href)}>
      {local.children}
    </a>
  );
};

export default PageLink;
